DECLARE @fixedlength        char(10),
        @variablelength     varchar(10)

SET @fixedlength = 'Test'
SET @variablelength = 'Test'

SELECT DATALENGTH(@fixedlength)
SELECT DATALENGTH(@variablelength)
